<?php
$themename = "Natural Health ";
$shortname = "che";

$options = array (

	array(  "name" => "Настройки Feedburner",
            "type" => "heading",
			"desc" => "Подписка на новости.",
       ),

  	array("name" => "Feedburner uri",
			"desc" => "Enter feedburner uri here.",
            "id" => $shortname."_feed",
            "std" => "feed uri",
            "type" => "text"),


	array(  "name" => "Баннеры 180x90",
            "type" => "heading",
			"desc" => "Здесь Вы можете установить четыре баннера формата 180х90 или один баннер 180x400.",
       ),

	array("name" => "Картинка баннера-1",
			"desc" => "Enter your 180 x 90 banner image url here.",
            "id" => $shortname."_banner1",
            "std" => "",
            "type" => "text"),

	array("name" => "Ссылка баннера-1",
			"desc" => "Enter the banner-1 url here.",
            "id" => $shortname."_url1",
            "std" => "",
            "type" => "text"),


	array("name" => "Картинка баннера-2",
			"desc" => "Enter your 180 x 90 banner image url here.",
            "id" => $shortname."_banner2",
            "std" => "",
            "type" => "text"),

	array("name" => "Ссылка баннера-2",
			"desc" => "Enter the banner-2 url here.",
            "id" => $shortname."_url2",
            "std" => "",
            "type" => "text"),

	array("name" => "Картинка баннера-3",
			"desc" => "Enter your 180 x 90 banner image url here.",
            "id" => $shortname."_banner3",
            "std" => "",
            "type" => "text"),

	array("name" => "Ссылка баннера-3",
			"desc" => "Enter the banner-3 url here.",
            "id" => $shortname."_url3",
            "std" => "",
            "type" => "text"),

		array("name" => "Картинка баннера-4",
			"desc" => "Enter your 180 x 90 banner image url here.",
            "id" => $shortname."_banner4",
            "std" => "",
            "type" => "text"),

	array("name" => "Ссылка баннера-4",
			"desc" => "Enter the banner-4 url here.",
            "id" => $shortname."_url4",
            "std" => "",
            "type" => "text"),




);

function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {

        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=controlpanel.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] );
                update_option( $value['id'], $value['std'] );}

            header("Location: themes.php?page=controlpanel.php&reset=true");
            die;

        }
    }

      add_theme_page($themename." Options", "$themename Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';


?>
<div class="wrap">
<h2><b><?php echo $themename; ?> настройки темы</b></h2>

<form method="post">

<table class="optiontable">

<?php foreach ($options as $value) {


if ($value['type'] == "text") { ?>

<tr align="left">
    <th scope="row"><?php echo $value['name']; ?>:</th>
    <td>
        <input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" size="40" />

    </td>

</tr>
<tr><td colspan=2> <small><?php echo $value['desc']; ?> </small> <hr /></td></tr>

<?php } elseif ($value['type'] == "textarea") { ?>
<tr align="left">
    <th scope="row"><?php echo $value['name']; ?>:</th>
    <td>
                   <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" cols="50" rows="8"/>
				   <?php if ( get_settings( $value['id'] ) != "") { echo stripslashes (get_settings( $value['id'] )); }
				   else { echo $value['std'];
				   } ?>
</textarea>


    </td>

</tr>
<tr><td colspan=2> <small><?php echo $value['desc']; ?> </small> <hr /></td></tr>


<?php } elseif ($value['type'] == "select") { ?>

    <tr align="left">
        <th scope="top"><?php echo $value['name']; ?>:</th>
	        <td>
            <select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                <?php foreach ($value['options'] as $option) { ?>
                <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; }?>><?php echo $option; ?></option>
                <?php } ?>
            </select>

        </td>

</tr>
<tr><td colspan=2> <small><?php echo $value['desc']; ?> </small> <hr /></td></tr>


<?php } elseif ($value['type'] == "checkbox") { ?>

    <tr align="left">
        <th scope="top"><?php echo $value['name']; ?>:</th>
        <td>

		<?php	if(get_settings($value['id'])){
							$checked = "checked=\"checked\"";
						}else{
							$checked = "";
						}
					?>


      <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?>/>

        </td>
    </tr>
<tr><td colspan=2> <small><?php echo $value['desc']; ?> </small> <hr /></td></tr>

<?php } elseif ($value['type'] == "heading") { ?>

   <tr valign="top">
		    <td colspan="2" style="text-align: left;"><h2 style="color:green;"><?php echo $value['name']; ?></h2></td>
		</tr>
<tr><td colspan=2> <small> <p style="color:red; margin:0 0;" > <?php echo $value['desc']; ?> </P> </small> <hr /></td></tr>

<?php } ?>
<?php
}
?>
</table>
<p class="submit">
<input name="save" type="submit" value="Сохранить изменения" />
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Сбросить" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}
add_action('admin_menu', 'mytheme_add_admin'); ?>
